Subject: bug#4176: Acknowledgement (23.1; partial completions)

From: Eli Barzilay <[email-masked]>
Date: Mon, 17 Aug 2009 10:52:08 -0400

After a quick look, I tried to redefine `minibuffer-complete' and just
comment out the second (goto-char (field-end)).  This seems to work
wrt wrongly moving the cursor to the end which seems to resolve both
problems when combined with

  (setq completion-styles '(partial-completion))

However,

1. Since this code was put there explicitly, there must be some issue
   I don't see in removing it.

2. Even after the quick code browse I have no idea what wonderful
   features I'm losing by removing `basic' and `emacs22' from
   `completion-styles'.  I would be happy if someone can enlighten me.

-- 
          ((lambda (x) (x x)) (lambda (x) (x x)))          Eli Barzilay:
                    http://barzilay.org/                   Maze is Life!